Skip to Content
Cloud One
  • Products

    Business Communication Suite & Phone System


      By Edition

      ​Cloud

      Software

      Appliance

    By Deployment

    ​On-premise

    Hosted by Cloud One

    Self-hosted

    By Management

    ​Managed By Cloud One

    Semi-Managed by Cloud One

    Self-Managed


    Simu Connect UC Clients


    Simu Connect Web Client Simu Connect Mobile Client Simu Connect Desktop ClientSimu Connect Chrome ExtensionSimu Connect TAPI Integration

    SIP Trunks


    Business SIPPay As You Go SIP Country Presence SIPVirtual Phone NumbersGolden Phone NumbersToll Free NumbersBring Your Own Carrier (BYOC)Calling RatesTalktime Top-up

    Get a Proof of Concept Now!


    Simu Connect POC Application Managed Business Communication Suite Self Managed Business Communication SuiteSIP Trunk POCOdoo Phone POC
  • Solutions

    Business Needs


    Work from Anywhere Hosted UCaaS Self hosted UCaaSVideo ConferencingAppliance PBXAI-powered Cloud PBXWhite-label Solution

    Industry


    Call Center Healthcare HospitalityFinanceEducationLogisticsRetail BusinessGovernment Agency

    Ecosystem


    IP Phones SIP Trunks IntegrationHeadsetsVirtual Phone Numbers

    By Integration


    Odoo Phone System Zoho Phone System Salesforce Phone SystemMicrosoft Dynamics Phone SystemZendesk Phone SystemFreshdesk Phone SystemBitrix24 Phone SystemHubSpot Phone System
  • Resources

    Downloads

    Download user guides and more documents

    Book a Meeting

    Schedule a meeting at your convenience

    Developer Guide

    Read API Documentation for Cloud One BCS API

    Business Communication Suite

    Experience our user-friendly business communication suite today. Explore robust telephony features that enhance your client connections efficiently.  

    See More Details
  • Devices

    Yealink IP Phones


    Yealink T3 Series IP Phones Yealink T4 Series IP Phones Yealink T5 Series IP PhonesYealink T7 Series IP PhonesYealink T8 Series IP Phones Yealink DECT IP Phones

    Voice Conferencing Solutions


    VC Room Systems BYOD Solutions Video Phone Video Conferencing Accessories

    Microsoft Solutions


    MS Teams Rooms Systems Microsoft Phones Conference Phones HeadsetsYealink MeetingBoardYealink MeetingBoard Pro

    Zoom Rooms


    Zoom Rooms Systems Zoom Phones Zoom Cameras BYOD Solutions
  • Help

    Ticketing System


    Submit a Helpdesk TicketReport an Issue

    Training


    User TrainingOperator TrainingCall Center Agent TrainingSupervisor Training

    Frequently Asked Questions


    General FAQBCS FAQSIP Trunks FAQLocal Phone Numbers FAQ

    Contact Us


    WhatsApp Icon


  • Support Helpdesk Contact
  • +254 20 790 0100
  • support@cloudone.co

  • Accounts Helpdesk Contact
  • +254 20 790 0000
  • finance@cloudone.co
  • Visit our Office


    Cloud One Ltd

    Saachi Plaza - Unit A3, Argwings Kodhek Road, Nairobi, Kenya
    P.O.Box 76484-00508 Yaya Centre

    +254 20 790 0000

    hello@cloudone.co


    Kindly do not email multiple contacts as it creates multiple tickets on our CRM


  • Contact Us
  • Blog
    ​​
  • Sign in
  • 0
  • 0
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
Cloud One
  • 0
  • 0
    • Products
    • Solutions
    • Resources
    • Devices
    • Help
    • Contact Us
    • Blog
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
  • Sign in
  • ​​

Edit a Live Chat Channel

Edit a Live Chat channel.

Request URL

POST {base_url}/{api_path}/message_channel/updatelivechat?access_token={access_token}

Request parameters

ParameterRequiredTypeDescription
idYesIntegerThe unique ID of the Live Chat channel.Note:You can query the Live Chat channel ID using Search Specific Message Channels.
nameNoStringName of the message channel.Note:The length must not exceed 63 characters.
website_domainNoStringThe domain name of the website where the Live Chat channel will be embedded.
Note: The length must not exceed 1023 characters.
communication_methodNoIntegerThe interaction mode supported on the Live Chat widget.
Valid value:
  • 1: Chat only.
  • 2: Phone call and chat.
destination_typeNoStringThe type of the destination.
Valid value:
  • extension: Extension user.
  • queue: Message queue.
  • api: Third-party message analytics platform (transmitted via API).
destination_idNoIntegerThe ID of the destination.
Note:
  • This parameter is REQUIRED when destination_type is set to extension or queue.
  • You can query the extension ID using Search Specific Extensions, and query the message queue ID using Search Specific Message Queues.
enable_webrtc_inbound_callNoIntegerWhether to enable WebRTC inbound call, so that website visitors can make calls through the Live Chat channel.
Valid value:
  • 0: Disable.
  • 1: Enable.
webrtc_trunk_idNoIntegerThe ID of the WebRTC trunk.
Note:
  • This parameter is REQUIRED when enable_webrtc_inbound_call is set to 1.
  • You can query the WebRTC trunk ID using Search Specific Trunks (search_value=webtrunk).
webrtc_inbound_route_idNoIntegerThe ID of the inbound route associated with the WebRTC trunk.Note:
  • This parameter is REQUIRED when enable_webrtc_inbound_call is set to 1.
  • You can query the inbound route ID using Search Specific Inbound Routes.
max_concurrent_callNoIntegerSet the maximum number of concurrent calls supported on the Live Chat channel.

Valid value: 1 - 10.

message_typeNoIntegerThe message type that website visitors can send.
Valid value:
  • 1: Text and emojis.
  • 2: Text, emojis, and images.
auto_close_sessionNoIntegerWhether to close messaging sessions automatically after a specified period of inactivity.
Valid value:
  • 0: Disable.
  • 1: Enable.
session_expired_timeNoIntegerThe duration of inactivity after which a session is automatically closed.
session_expired_unitNoStringSpecify the time unit for session expiration.
Note:This parameter is REQUIRED when auto_close_session is set to 1.Valid value:
  • minite
  • hour
  • day
theme_modeNoStringTheme mode of the Live Chat widget.Valid value:
  • light
  • dark
theme_colorNoStringTheme color of the Live Chat widget.

Valid value: 6-digit hexadecimal RGB color value. E.g. #00DDB3.

minimize_styleNoStringThe style of the minimized window.Valid value:
  • round: Bubble style.
  • bar: Strip style.
chat_iconNoStringChat icon of the Live Chat widget.Valid value:
  • 1: 
  • 2: 
  • 3: 
  • 4: 
  • 5: 
  • 6: 
default_avatarNoStringThe file name (ID) of the agent avatar.
Note: To use a custom avatar, upload the avatar image first, then enter the file parameter value returned by the upload API in this field.
default_agent_nameNoStringAgent name.
Note: The length must not exceed 63 characters.
show_agent_infoNoIntegerWhether to display the agent information.
Valid value:
  • 0: Not display.
  • 1: Display agent name
  • 2: Display agent name and avatar.
hide_provider_infoNoIntegerWhether to display the service provider's information Powered by Cloud One in the Live Chat widget.
Valid value:
  • 0: Display.
  • 1: Not display.
languageNoStringSpecify the display language of the Live Chat channel.
Valid value:
  • BROWSER_LANGUAGE: Follow website visitor's browser language.
  • en: English
  • zh-CN: 简体中文 (Chinese Simplified)
  • zh-TW: 繁體中文 (Chinese Traditional)
  • ar: العربية (Arabic)
  • pt_BR: Português Brasil (Portuguese Brazil)
  • cz: Čeština (Czech)
  • nl: Nederlands (Dutch)
  • fr: Française (French)
  • de: Deutsch (German)
  • he: עברית (Hebrew)
  • it: Italiano (Italian)
  • ja: 日本語 (Japanese)
  • fa: فارسی (Persian)
  • pl: Polski (Polish)
  • pt: Português (Portuguese)
  • ru: Pусский (Russian)
  • sl: Slovenščina (Slovenian)
  • es: Español (Spanish)
  • th: ไทย (Thai)
  • tr: Türk (Turkish)
  • tk: Türkmenistan (Turkmen)
  • uk: Українська (Ukrainian)
  • vi: Tiếng Việt (Vietnamese)
enable_prechat_formNoIntegerWhether to enable pre-chat form.Valid value:
  • 0: Disable.
  • 1: Enable.
prechat_form_titleNoStringThe title of the pre-chat form.
Note: This parameter is REQUIRED when enable_prechat_form is set to 1.
prechat_form_subtitleNoStringThe sub-title of the pre-chat form.
Note: This parameter is REQUIRED when enable_prechat_form is set to 1.
show_nameNoIntegerWhether to display name field in the pre-chat form.
Note: When enable_prechat_form is set to 1, at least one of show_name, show_email, or show_phone must be set to 1.
Valid value:
  • 0: Not display.
  • 1: Display.
show_emailNoIntegerWhether to display email address field in the pre-chat form.Note:When enable_prechat_form is set to 1, at least one of show_name, show_email, or show_phone must be set to 1.
Valid value:
  • 0: Not display.
  • 1: Display.
show_phoneNoIntegerWhether to display phone number field in the pre-chat form.
Note: When enable_prechat_form is set to 1, at least one of show_name, show_email, or show_phone must be set to 1.
Valid value:
  • 0: Not display.
  • 1: Display.
require_nameNoIntegerWhether name is required in the pre-chat form.
Valid value:
  • 0: Optional.
  • 1: Required.
require_emailNoIntegerWhether email address is required in the pre-chat form.
Valid value:
  • 0: Optional.
  • 1: Required.
require_phoneNoIntegerWhether phone number is required in the pre-chat form.
Valid value:
  • 0: Optional.
  • 1: Required.
enable_data_privacyNoIntegerWhether to enable the data privacy statement.
Valid value:
  • 0: Disable.
  • 1: Enable.
data_privacy_contentNoStringThe content of the data privacy statement.
Note:
  • This parameter is REQUIRED when enable_data_privacy is set to 1.
  • The length must not exceed 590 characters.
require_data_privacy_consentNoIntegerWhether explicit consent to the data privacy statement is required.
Valid value:
  • 0: Not required.
  • 1: Required.
online_welcome_messageNoStringThe welcome message automatically sent to website visitors when they enter the chat widget while the system is within business hours and the message destination is available.
Note: The length must not exceed 255 characters.
offline_welcome_messageNoStringThe welcome message automatically sent to website visitors when they enter the chat widget while the system is outside business hours, or the message destination is not available.
Note: The length must not exceed 255 characters.
first_reply_messageNoStringThe message automatically sent after the website visitor sends their first message, regardless of message type.
Note: The length must not exceed 255 characters.
session_closed_messageNoStringThe message automatically sent to website visitors when the chat session ends, either manually closed by agent / website visitor or automatically closed when session timeout is reached.
Note: The length must not exceed 255 characters.

Response parameters

ParameterTypeDescription
errcodeIntegerReturned error code.
  • 0: Succeed.
  • Non-zero value: Failed.
Note: You can check the error code and error message in Error Code and Error Message.
errmsgStringReturned message.
  • SUCCESS: Succeed.
  • FAILURE: Failed.

Examples

Request example

Update the agent avatar of a Live Chat channel (ID: 266).

POST /openapi/v1.0/message_channel/updatelivechat?access_token=rkM38ZxbNvhdXtGGyD37e4PlLEVrbcxB HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json

{
    "id": 266,
    "default_avatar":"livechat-a827b53f-9c51-4778-82e0-5afe2b174656"
}

Response example

HTTP/1.1 200 OK
{
    "errcode": 0,
    "errmsg": "SUCCESS"
}
Useful Links
  • Home
  • About us
  • Products
  • Services
  • Shipping
  • Return Policy
  • Warranty
  • Contact us
Legal
  • Terms
  • Privacy
  • Shared Responsibility
    Service Level Agreement
  • Certifications
About us

Cloud One Limited is a leading Kenyan local telephony service provider. Established in 2017, we offer reliable and secure cloud and on premise business communication solutions, including SIP trunks, Yealink IP phones, and VPS hosting in our Tier 3 data center.


Our mission is to revolutionize cloud communications by providing unparalleled reliability, cutting-edge innovation, and substantial cost savings. We deliver a stress-free, always-available service experience that empowers businesses to thrive in the digital age.

DUNS Registration Number: 561230946
Company Registration Number: PVT-5JUEYMA
Licensed & Regulated by the Communications Authority of Kenya


Follow us
Connect with us
  • Contact us
  • hello@cloudone.co
  • +254 20 7900000
  • Saachi Plaza, UNIT A3 - Argwings Kodhek Rd
Download Simu Connect

    Get the app on the playstore

    Download desktop app for Windows​

    Download app from the appstore

    Download MacOS app